com.io7m.r2.core

## Class R2LightProjectiveWithoutShadow

- java.lang.Object
- - com.io7m.r2.core.R2LightProjectiveWithoutShadow

- All Implemented Interfaces:
    R2LightProjectiveReadableType, R2LightProjectiveType, R2LightProjectiveUsableType, R2LightProjectiveWithoutShadowReadableType, R2LightProjectiveWithoutShadowType, R2LightProjectiveWithoutShadowWritableType, R2LightProjectiveWritableType, R2LightReadableType, R2LightSingleReadableType, R2LightSingleType, R2LightSingleWritableType, R2LightVolumeSingleReadableType, R2LightVolumeSingleType, R2LightVolumeSingleWritableType, R2LightWritableType

      public final class R2LightProjectiveWithoutShadow
      extends Object
      implements R2LightProjectiveWithoutShadowType

  Parameters for simple projective lights that operate by rendering frustum meshes.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.io7m.jcanephora.core.JCGLArrayObjectUsableType` | `arrayObject()`
    `com.io7m.jtensors.parameterized.PVectorReadable3FType<R2SpaceRGBType>` | `color()`
    `com.io7m.jtensors.parameterized.PVector3FType<R2SpaceRGBType>` | `colorWritable()`
    `float` | `falloff()`
    `R2Texture2DUsableType` | `image()`
    `float` | `intensity()`
    `long` | `lightID()`
    `static R2LightProjectiveWithoutShadowType` | `newLight(R2ProjectionMeshReadableType in_mesh, R2Texture2DUsableType in_image, R2IDPoolType in_pool)` Construct a new light.
    `com.io7m.jtensors.parameterized.PVectorReadable3FType<R2SpaceWorldType>` | `position()`
    `R2ProjectionReadableType` | `projection()`
    `float` | `radius()`
    `void` | `setFalloff(float f)` Set the light falloff exponent
    `void` | `setIntensity(float i)` Set the current light intensity
    `void` | `setRadius(float r)` Set the light radius in world-space units.
    `R2TransformOTReadableType` | `transform()`
    `R2TransformOTType` | `transformWritable()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.io7m.r2.core.R2LightProjectiveReadableType

      `matchLightVolumeSingleReadable, matchProjectiveReadable`

    - ### Methods inherited from interface com.io7m.r2.core.R2LightVolumeSingleType

      `matchLightSingle`

    - ### Methods inherited from interface com.io7m.r2.core.R2LightProjectiveWithoutShadowReadableType

      `matchProjectiveReadable`

- - ### Method Detail

    - #### newLight

          public static R2LightProjectiveWithoutShadowType newLight(R2ProjectionMeshReadableType in_mesh,
                                                                    R2Texture2DUsableType in_image,
                                                                    R2IDPoolType in_pool)

      Construct a new light.
      Parameters:
        `in_mesh` - The light projection mesh
        `in_image` - The image that will be projected by the light
        `in_pool` - The ID pool
      Returns:
        A new light

    - #### radius

          public float radius()

      Specified by:
        `radius` in interface `R2LightProjectiveReadableType`
      Returns:
        The light radius

    - #### setRadius

          public void setRadius(float r)

      Description copied from interface: `R2LightProjectiveWritableType`
      Set the light radius in world-space units.
      Specified by:
        `setRadius` in interface `R2LightProjectiveWritableType`
      Parameters:
        `r` - The light radius

    - #### transformWritable

          public R2TransformOTType transformWritable()

      Specified by:
        `transformWritable` in interface `R2LightProjectiveWritableType`
      Returns:
        The writable transform for the light origin

    - #### falloff

          public float falloff()

      Specified by:
        `falloff` in interface `R2LightProjectiveReadableType`
      Returns:
        The light falloff exponent

    - #### setFalloff

          public void setFalloff(float f)

      Description copied from interface: `R2LightProjectiveWritableType`
      Set the light falloff exponent
      Specified by:
        `setFalloff` in interface `R2LightProjectiveWritableType`
      Parameters:
        `f` - The light falloff

    - #### color

          public com.io7m.jtensors.parameterized.PVectorReadable3FType<R2SpaceRGBType> color()

      Specified by:
        `color` in interface `R2LightReadableType`
      Returns:
        The readable light color

    - #### intensity

          public float intensity()

      Specified by:
        `intensity` in interface `R2LightReadableType`
      Returns:
        The current light intensity

    - #### setIntensity

          public void setIntensity(float i)

      Description copied from interface: `R2LightWritableType`
      Set the current light intensity
      Specified by:
        `setIntensity` in interface `R2LightWritableType`
      Parameters:
        `i` - The intensity (typically `[0.0 .. 1.0]`)

    - #### colorWritable

          public com.io7m.jtensors.parameterized.PVector3FType<R2SpaceRGBType> colorWritable()

      Specified by:
        `colorWritable` in interface `R2LightWritableType`
      Returns:
        The readable/writable light color

    - #### arrayObject

          public com.io7m.jcanephora.core.JCGLArrayObjectUsableType arrayObject()

      Specified by:
        `arrayObject` in interface `R2LightSingleReadableType`
      Returns:
        The array object that will be used to render the light geometry

    - #### transform

          public R2TransformOTReadableType transform()

      Specified by:
        `transform` in interface `R2LightProjectiveReadableType`
      Specified by:
        `transform` in interface `R2LightSingleReadableType`
      Returns:
        The transform for the light origin

    - #### position

          public com.io7m.jtensors.parameterized.PVectorReadable3FType<R2SpaceWorldType> position()

      Specified by:
        `position` in interface `R2LightProjectiveReadableType`
      Returns:
        The position of the origin of the light in world-space

    - #### lightID

          public long lightID()

      Specified by:
        `lightID` in interface `R2LightReadableType`
      Returns:
        The unique light ID

    - #### projection

          public R2ProjectionReadableType projection()

      Specified by:
        `projection` in interface `R2LightProjectiveReadableType`
      Returns:
        The light's projection

    - #### image

          public R2Texture2DUsableType image()

      Specified by:
        `image` in interface `R2LightProjectiveReadableType`
      Returns:
        The image that will be projected from the light

Copyright © 2016 <code@io7m.com> http://io7m.com